//
//  TaBarView.swift
//  IOS_study
//
//  Created by CC-star on 2025/6/29.
//

import SwiftUI

struct TaBarView: View {
   @Environment(TabBarViewModel.self) var vm
    var body: some View {
       @Bindable var vm = vm
       TabView(selection: $vm.selectedTab) {
          Tab("工作", systemImage: "yensign.circle", value: "job") {
             PLJobsView().toolbarBackground(.visible, for: .tabBar)
          }
          Tab("雇佣", systemImage: "plus.circle", value: "postJob") {
             PostJobView().toolbarBackground(.visible, for: .tabBar)
          }
       }
    }
}

#Preview {
    TaBarView()
}
